:root {
    --accent-green: #1FFFB0;
    --btn-dark-blue: #002360;
    --text-muted-gray: #cbd5e1;
    --font-encode: 'Encode Sans', sans-serif;
    --bg-white-soft: #F5F5F5;
    --text-dark-gray: #242424;
}
body {
    font-family: var(--font-encode);
    background-color: #080d19;
    color: #ffffff;
    margin: 0;
    padding: 0;
    min-height: 100vh;
    overflow-x: hidden;
}
.hero-section {
    position: relative;
    min-height: 100vh;
    width: 100%;
    background-image: linear-gradient(
        to right,
        rgba(8, 13, 25, 0.95) 0%,
        rgba(8, 13, 25, 0.85) 35%,
        rgba(8, 13, 25, 0.5) 60%,
        rgba(8, 13, 25, 0.1) 100%
    ), url('../../images/static_home/edificio_desktop.png');
    background-size: cover;
    background-position: center right;
    background-repeat: no-repeat;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

.hero-content {
    display: flex;
    flex-direction: column;
    gap: 64px;
}
.hero-text-container {
    display: flex;
    flex-direction: column;
    gap: 36px;
    padding-left: 12px;
    padding-right: 12px;
}

.hero-container {
    flex-grow: 1;
    display: flex;
    align-items: center;
    z-index: 5;
    padding-top: 4rem;
    padding-bottom: 6rem;
}
.hero-title {
    font-size: 44px;
    font-weight: 700;
    line-height: 44px;
    color: #ffffff;
    letter-spacing: 1px;
}
@media (max-width: 767.98px) {
    .hero-title {
        font-size: 2.25rem;
    }
}
.hero-description {
    font-size: 16px;
    font-weight: 400;
    color: #ffffff;
    line-height: 26px;
    letter-spacing: 0px;
    margin-bottom: 12px;
    max-width: 520px;
}
.btn-demo, .btn-planes {
    transition: none !important;
}
.btn-demo {
    background-color: var(--btn-dark-blue);
    color: #ffffff !important;
    font-weight: 600;
    font-size: 20px;
    border-radius: 37px;
    padding: 12px 48px;
    border: none;
    line-height: 36px;
    letter-spacing: 0px;
}
.btn-demo:hover {
    background-color: var(--btn-dark-blue) !important;
    color: #ffffff !important;
}
.btn-planes {
    background-color: #ffffff;
    color: var(--btn-dark-blue) !important;
    font-weight: 600;
    font-size: 20px;
    border-radius: 37px;
    padding: 12px 48px;
    border: none;
    line-height: 36px;
    letter-spacing: 0px;
}
.btn-planes:hover {
    background-color: #ffffff !important;
    color: var(--btn-dark-blue) !important;
}

.plataforma-section {
    background-color: var(--bg-white-soft);
    padding-left: 12px;
    padding-right: 12px;
    .container {
        padding-top: 120px;
        padding-bottom: 64px;
        display: flex;
        flex-direction: column;
        gap: 60px;
        .plataforma-text-container {
            display: flex;
            flex-direction: column;
            gap: 36px;
        }
        .plataforma-title {
            font-size: 40px;
            font-weight: 600;
            color: var(--btn-dark-blue);
            line-height: 40px;
            letter-spacing: 0px;
        }
        .plataforma-description {
            font-size: 16px;
            font-weight: 400;
            color: var(--text-dark-gray);
            line-height: 26px;
            letter-spacing: 0px;
            margin-bottom: 12px;
        }
        .card-plataforma {
            padding: 32px 24px;
            display: flex;
            flex-direction: column;
            gap: 24px;
            border-radius: 24px;
            border: none;
            background: white;
            position: relative;
            .card-corner {
                position: absolute;
                top: 0;
                right: 0;
            }
            
            .card-title{
                display: flex;
                flex-direction: column;
                h1 {
                    font-weight: 400;
                    font-size: 48px;
                    line-height: 52px;
                    color: var(--btn-dark-blue);
                }
                h3 {
                    font-weight: 700;
                    font-size: 22.48px;
                    line-height: 24px;
                    color: var(--btn-dark-blue);
                }
                
            }
            .card-description {
                p {
                    font-size: 16px;
                    line-height: 26px;
                    color: var(--text-dark-gray);
                    margin: 0;
                }
            }
        }
    }
}
.clara-section {
    background-color: var(--bg-white-soft);
    padding-left: 12px;
    padding-right: 12px;
    position: relative;
    .corner-green-simple {
        position: absolute;
        top: -120px;
        right: 0;
    }
    .corner-green-line {
        position: absolute;
        top: 600px;
        left: 0;
    }
    .container {
        padding-top: 64px;
        padding-bottom: 96px;
        display: flex;
        flex-direction: column;
        gap: 96px;
        .clara-header {
            display: flex;
            flex-direction: column;
            gap: 24px;
            align-items: center;
            .clara-title {
                font-weight: 600;
                font-size: 32px;
                line-height: 100%;
                color: var(--btn-dark-blue);
                letter-spacing: 0px;
                text-align: center;
            }
            .clara-subtitle {
                font-weight: 400;
                font-size: 24px;
                line-height: 36px;
                letter-spacing: 0px;
                text-align: center;
                color: var(--text-dark-gray);
            }
        }
    }
    .clara-benefits {
        display: flex;
        flex-direction: column;
        gap: 52px;
        .clara-benefits-title {
            font-weight: 600;
            font-size: 32px;
            line-height: 32px;
            letter-spacing: 0px;
            color: var(--btn-dark-blue);
        }
        .benefit-item {
            margin-bottom: 36px;
            .benefit-text {
                display: flex;
                flex-direction: column;
                gap: 4px;
                h1 {
                    font-weight: 600;
                    font-size: 20px;
                    line-height: 20px;
                    letter-spacing: 0px;
                    color: var(--btn-dark-blue);
                }
                p {
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 24px;
                    letter-spacing: 0px;
                    color: var(--text-dark-gray);
                }
            }
        }
    }
}
.comunidad-section {
    background-color: white;
    padding-left: 12px;
    padding-right: 12px;
    overflow-x: hidden;
    .container {
        padding-top: 96px;
        padding-bottom: 76px;
        display: flex;
        flex-direction: column;
        gap: 60px;
        .comunidad-header {
            display: flex;
            flex-direction: column;
            gap: 24px;
            align-items: center;
            .comunidad-title {
                font-weight: 600;
                font-size: 32px;
                line-height: 32px;
                color: var(--btn-dark-blue);
                letter-spacing: 0px;
                text-align: center;
            }
            .comunidad-subtitle {
                font-weight: 400;
                font-size: 16px;
                line-height: 26px;
                letter-spacing: 0px;
                text-align: center;
                color: var(--text-dark-gray);
            }
        }
        .comunidad-grid {
            display: block;
            overflow: visible;

            .swiper-wrapper {
                display: grid;
                grid-template-columns: repeat(3, 1fr);
                grid-auto-rows: 1fr;
                gap: 24px;
            }
        }
        @media (max-width: 991.98px) {
            .comunidad-grid {
                .swiper-wrapper {
                    grid-template-columns: repeat(2, 1fr);
                }
            }
        }
        .card-comunidad {
            border-radius: 24px;
            background-color: white;
            border: 1.25px solid var(--accent-green);
            display: flex;
            flex-direction: column;
            gap: 18px;
            padding: 32px 32px 36px 32px; 
            margin-bottom: 0;
            height: 100%;
            .card-comunidad-text {
                display: flex;
                flex-direction: column;
                gap: 8px;
                h1 {
                    font-weight: 600;
                    font-size: 24px;
                    line-height: 100%;
                    letter-spacing: 0%;
                    vertical-align: middle;
                    color: var(--btn-dark-blue);
                    
                }
                p {
                    font-weight: 400;
                    font-size: 14px;
                    line-height: 24px;
                    letter-spacing: 0%;
                    vertical-align: middle;
                    color: var(--text-dark-gray);
                    margin: 0;
                }
            }
        }
    }
}

.para-section {
    position: relative;

    .para-corner-solid {
        position: absolute;
        top: -150px;
        left: 0px;
    }


    background-color: white;
    padding-left: 12px;
    padding-right: 12px;

    .container {
        padding-top: 76px;
        padding-bottom: 124px;
        display: flex;
        flex-direction: column;
        gap: 60px;

        .para-section-text {
            .para-section-title {
                font-weight: 600;
                font-size: 32px;
                line-height: 32px;
                letter-spacing: 0px;
                text-align: center;
                color: var(--btn-dark-blue);
                margin: 0;
            }
        }

        .cards-container {
            padding-left: 60px;
            padding-right: 60px;

            .card-para {
                display: flex;
                flex-direction: column;
                gap: 28px;

                .card-para-header {
                    border-radius: 16px;
                    border: none;

                    img {
                        width: stretch;
                        border-radius: inherit;
                        height: 260px;
                    }
                }

                .card-para-body {
                    display: flex;
                    flex-direction: column;
                    gap: 12px;
                    .card-para-title {
                        font-weight: 600;
                        font-size: 24px;
                        line-height: 24px;
                        letter-spacing: 0px;
                        color: var(--btn-dark-blue);
                        margin: 0;
                    }

                    .card-para-description {
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 26px;
                        letter-spacing: 0px;
                        color: var(--text-dark-gray);
                        margin: 0;
                    }
                }
            }
        }
    }
}

.implementacion-section {
    background-color: var(--bg-white-soft);
    padding-left: 12px;
    padding-right: 12px;

    .container {
        padding: 96px 110px;

        .text-container {
            display: flex;
            flex-direction: column;
            gap: 28px;

            .title {
                font-weight: 600;
                font-size: 40px;
                line-height: 46px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
                margin: 0;
            }
            .description {
                display: flex;
                flex-direction: column;
                gap: 24px;

                .subtitle {
                    font-weight: 400;
                    font-size: 20px;
                    line-height: 32px;
                    letter-spacing: 0px;
                    color: var(--text-dark-gray);
                    margin: 0;
                }

                .list-items {
                    display: flex;
                    flex-direction: column;
                    gap: 12px;
                    p {
                        font-weight: 400;
                        font-size: 16px;
                        line-height: 26px;
                        letter-spacing: 0px;
                        color: var(--text-dark-gray);
                        margin: 0;
                    }
                }
            }
        }
    }
}

.empeza-section {
    padding-left: 12px;
    padding-right: 12px;
    background-color: var(--accent-green);

    position: relative;

    .complicaciones-corner-left {
        position: absolute;
        top: 20px;
        left: 0;
    }

    .complicaciones-corner-right {
        position: absolute;
        bottom: 0;
        right: 0;
    }

    .container {
        padding-top: 96px;
        padding-bottom: 96px;
        display: flex;
        flex-direction: column;
        gap: 52px;

        .empeza-text-container {
            display: flex;
            flex-direction: column;
            gap: 32px;
            padding-bottom: 8px;

            .empeza-title {
                font-weight: 600;
                font-size: 40px;
                line-height: 46px;
                letter-spacing: 0px;
                color: var(--btn-dark-blue);
            }

            .empeza-description {
                font-weight: 400;
                font-size: 20px;
                line-height: 32px;
                letter-spacing: 0px;
                color: var(--text-dark-gray);
                margin: 0;
            }
        }

        .cards-container {
            display: flex;
            flex-direction: column;
            gap: 16px;

            .card-empeza {
                border-radius: 24px;
                border: 1px solid white;
                padding: 24px 32px;
                background: linear-gradient(90deg, #AEFFE1 0%, rgba(174, 255, 225, 0) 100%);

                .card-text-container {
                    display: flex;
                    flex-direction: column;
                    gap: 4px;

                    .card-empeza-title {
                        font-weight: 600;
                        font-size: 20px;
                        line-height: 20px;
                        letter-spacing: 0px;
                        color: var(--btn-dark-blue);
                        margin: 0;
                    }
                    .card-empeza-description {
                        font-weight: 400;
                        font-size: 14px;
                        line-height: 24px;
                        letter-spacing: 0px;
                        color: var(--text-dark-gray);
                        margin: 0;
                    }
                }
                
            }
        }

        .btn-demo {
            padding: 16px 64px;
            font-weight: 600;
            font-size: 24px;
            line-height: 36px;
            letter-spacing: 0px;
            color: white;
            border-radius: 37px;
            background-color: var(--btn-dark-blue);
            border: none;
            align-self: flex-start;
            margin-top: 20px;
        }
    }
}

.footer-section {
    background-color: #242424;
    padding-top: 20px;
    padding-bottom: 20px;
    position: relative;
    overflow: hidden;
    text-align: center;

    .footer-links {
        font-weight: 400;
        font-size: 14px;
        line-height: 14px;
        letter-spacing: 0px;
    }

    .footer-link {
        color: white;
        text-decoration: none;
        transition: color 0.2s ease;

    }

    .footer-separator {
        color: white;
    }

    .footer-copyright {
        font-weight: 400;
        font-size: 12px;
        line-height: 12px;
        letter-spacing: 0.12px;
        color: white;
        margin-top: 11px;

    }
}
@media screen and (max-width: 768px) {

    .btn-demo, .btn-planes {
        width: 100%;
        text-align: center;
    }

    .plataforma-section {
        .container {
            padding-top: 72px;
            padding-bottom: 72px;
            gap: 64px;

            .plataforma-title {
                font-size: 32px;
                line-height: 36px;
            }
            .card-plataforma {
                flex-direction: row;
                margin-bottom: 24px;
                align-items: center;
                justify-content: flex-start;
                gap: 28px;
                padding: 32px 24px;
                .card-title {
                    flex-shrink: 0;
                    width: 50%;
                }
                .card-description {
                    flex-grow: 1;
                    p {
                        font-size: 14px;
                        line-height: 24px;
                    }
                }
            }
        }
    }

    .clara-section {

        .container {
            gap: 64px;

            .clara-header {

                .clara-title {
                    font-size: 32px;
                }

                .clara-subtitle {
                    font-size: 20px;
                    line-height: 32px;
                }
            }

            .clara-benefits {
                gap: 36px;
                
                .clara-benefits-title {
                    font-size: 32px;
                    text-align: center;
                }

                .benefit-item {
                    .benefit-text {
                        p {
                            margin: 0;
                        }
                    }
                }
            }

            .clara-image {
                img {
                    width: 100%;
                }
            }
        }
    }

    .comunidad-section {

        .container {
            gap: 36px;
            .comunidad-header {

                .comunidad-title {
                    text-align: start;
                    line-height: 36px;
                }

                .comunidad-subtitle {
                    text-align: start;
                }
            }

            .comunidad-grid {
                overflow: visible !important;
                width: 100% !important;

                .swiper-wrapper {
                    display: flex !important;
                    flex-direction: row !important;
                    align-items: stretch !important;
                    gap: 0px !important;
                    grid-template-columns: none !important;
                    grid-auto-rows: unset !important;
                }

                .card-comunidad {
                    flex-shrink: 0 !important;
                    height: auto !important;
                    padding: 32px 32px 24px 32px;
                }
            }
        }
    }

    .para-section {

        .container {
            padding-top: 64px;
            padding-bottom: 64px;

            .cards-container {
                padding-left: 12px;
                padding-right: 12px;
                
                .row {
                    display: flex;
                    gap: 48px;

                    .card-para {

                        .card-para-header {
                            img{
                                max-width: 100%;
                                width: 100%;
                            }
                        }
                    }
                }
            }
        }
    }

    .implementacion-section {

        .container {
            padding: 64px 12px 64px 12px;   

            .text-container {

                .title {
                    font-size: 32px;
                    line-height: 36px;
                }
            }

            .implementacion-hero {
                width: 100%;
                margin-top: 32px;
            }
        }
    }

    .empeza-section {

        .container {
            padding: 60px 12px 60px 12px;

            .empeza-text-container {

                .empeza-title {
                    font-size: 32px;
                    line-height: 36px;
                }
            }

            .btn-demo {
                margin-top: 28px;
                width: 100%;
            }
        }

    }
}